/**
 * Base
 *
 * Specific reset and base styles for every elements
 *
 * Index
 * - Body base style
 * - Responsive media
 * - Iframe
 * - Links
 * - Webfonts
 */
/* stylelint-disable */


/**
 * set box-sizing for all elements
 */

*,
*::before,
*::after {
  box-sizing: border-box;
}

/**
 * Remove native arrow on type number
 */

input[type="number"] {
  appearance: textfield;
}

/* BODY BASE STYLE
 -------------------- */

body {
  font-family: var(--road-font, sans-serif);
  font-size: var(--road-font-size-14);
  line-height: 1.5;
  color: var(--road-grey-10);
}

/* RESPONSIVE MEDIA
 -------------------- */

img,
embed,
iframe,
object,
audio,
video {
  max-width: 100%;
  height: auto;
}

/* IFRAME
 -------------------- */

iframe {
  border: 0;
}

/* REMOVE MOBILE TAP HIGHLIGHT
 -------------------- */

input,
textarea,
button,
select,
a {
  -webkit-tap-highlight-color: rgba(0,0,0,0);
}

/* LINKS
 -------------------- */

a {
  text-decoration: none;
  cursor: pointer;
}

*.focus-visible {
  outline: auto;
}
